On 3/13/06, listas diogo <[EMAIL PROTECTED]> wrote:
> Alguem instalou o firebird 1.5.3 no freebsd 6 ?
>
> alguem teria alguam experiencia ?
>
> pois estou instalando o fonte porem fica dando um erro tal de autoconf
>
>
> ja instalei o pacote porem continua dando
>
>
> alguem ja passou por isso

sim, isso ocorre mesmo, quando você o instala pelo ports, o ports dá
um jeito na situação, mas como a versão do ports é a 1.5.2, você deve
estar fazendo port fora, então vamos lá.

Primeiro, tenha certeza que você tem o autocon-2.59 e a libtool
instalados, se não tiver providencie a instalação, de preferência via
ports ou pkg_add.

Se você olhar esse trecho do port do firebird:

do-configure:
        @(cd ${WRKSRC} && ${SETENV} CC=${CC} CXX=${CXX} MAKE=${GMAKE}   \
        ${AUTOTOOLS_VARS} ./autogen.sh --prefix=${PREFIX}/firebird      \
        --with-lock-manager --with-editline)

é isso que ele faz pra executar o autogen.sh, ele passa as variaveis,
a que mais vai te importar é a AUTOTOOLS_VARS, pra vc saber o valor
dessa variavel

make -C /usr/ports/databases/firebird-server -V AUTOTOOLS_VARS

então, entre no diretório do seu firebird, e execute

/usr/bin/env `make -C /usr/ports/databases/firebird-devel -V
AUTOTOOLS_VARS` ./autogen.sh SUES_PARAMETROS

isso deve resolver.

[]s
--
Renato Botelho
_______________________________________________
freebsd mailing list
freebsd@fug.com.br
http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br

Responder a